<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/transparent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:background="@drawable/background_shape_white_radius_8"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/notificationIv"
            android:layout_width="match_parent"
            android:layout_height="168dp"
            android:scaleType="fitXY"
            android:src="@drawable/bg_notification_login_style_1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/notificationTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="21dp"
            android:text="开启消息通知"
            android:textColor="@color/text_primary"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/notificationIv" />

        <TextView
            android:id="@+id/notificationContent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:text="新游上线、互动回复，重要推送不错过"
            android:textColor="@color/text_secondary"
            android:textSize="12sp"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="12dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/notificationTitle" />

        <TextView
            android:id="@+id/activateTv"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="40dp"
            android:layout_marginTop="16dp"
            android:layout_marginRight="40dp"
            android:layout_marginBottom="24dp"
            android:background="@drawable/bg_notification_open_btn_style_2"
            android:gravity="center"
            android:text="立即开启"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/notificationContent" />

        <ImageView
            android:id="@+id/closeIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:layout_marginRight="4dp"
            android:padding="4dp"
            android:src="@drawable/ic_notification_close"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>